:root {
    --mobile: 550px;
    --tablet: 768px;
    --max-width: 1440px;
}

html,
body {
    width: 100%;
    max-width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    font-family: 'Figtree';
    overflow-x: hidden;
}

* {
    box-sizing: border-box;
}

.container {
    width: 100%;
    height: 100%;
    background-color: #FFFFFF;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 80px;
}

.header {
    width: 100%;
    background-color: rgba(77, 136, 236, 1);
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    z-index: 1000;
    border-radius: 0 0 40px 40px;
}

.header-heading {
    padding: 24px 16px;
    max-width: 1440px;
    display: flex;
    width: 100%;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.header-heading-icon {
    height: 100%;
    left: 0;
    top: 0;
    z-index: -1;
    object-fit: cover;
    position: absolute;
}
.header-heading-title {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 12px;
    
}
.header-heading-title-text {
    font-size: 24px;
    font-weight: 600;
    color: #FFFFFF;
}
.header-heading-central-buttons {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 12px;
    @media (max-width: 550px) {
        display: none;
    }
}
.header-heading-central-buttons-button {
    text-decoration: none;
    padding: 12px 8px;
    color: #FFFFFF;
    border-radius: 8px;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    font-weight: 500;
}
.header-heading-hamburger {
    background-color: rgba(111, 158, 240, 1);
    height: 40px;
    aspect-ratio: 1;
    display: flex;
    border-radius: 8px;
    align-items: center;
    justify-content: center;
    cursor: pointer;

    @media (min-width: 550px) {
        opacity: 0;
    }
}
.header-x {
    background-color: rgba(111, 158, 240, 1);
    height: 40px;
    aspect-ratio: 1;
    display: flex;
    border-radius: 8px;
    align-items: center;
    justify-content: center;
    cursor: pointer;

    @media (min-width: 550px) {
        opacity: 0;
    }
}
.header-main{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    gap: 32px;
    padding: 0px 16px;
    max-width: var(--max-width);
    overflow: hidden;


    @media (min-width: 550px) {
        flex-direction: row;
    }
}
.header-info {
    display: flex;
    gap: 32px;
    flex-direction: column;


    @media (min-width: 550px) {
        max-width: 40%;
    }
}
.header-info-title {
 font-size: 56px;
 font-weight: 600;
 color: rgba(250, 250, 250, 1);

    @media (max-width: 550px) {
        font-size: 32px;
    }
}
.header-info-description {
 font-size: 18px;
 color: rgba(250, 250, 250, 1);


}
.header-info-image {
    width: 95%;
    margin-bottom: -8%;
    max-width: 330px;

    @media (max-width: 550px) {
        margin-bottom: 40px;
    }
}

.header-info-satisfied-customers {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 12px;
}
.header-info-satisfied-customers-list{
    display: flex;
    position: relative;
    width: 136px;
    height: 40px;
    flex-shrink: 0;
}

.header-info-satisfied-customers-description {
    font-size: 18px;
    font-weight: 500;
    color: #FFFFFF;
}

.header-info-satisfied-customers-list-item {
    height: 40px;
    aspect-ratio: 1;
    border-radius: 100%;
    border-width: 1px;
    border-style: solid;
    border-color: #FFFFFF;
}

.header-info-satisfied-customers-list-item.second {
    position: absolute;
    left: 32px;
    z-index: 2;
}

.header-info-satisfied-customers-list-item.third {
    position: absolute;
    left: 64px;
    z-index: 3;
}

.header-info-satisfied-customers-list-item.fourth {
    position: absolute;
    left: 96px;
    z-index: 4;
}

.mobile-menu-overlay {
    position: fixed;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    display: none;
    background-color: rgba(77, 136, 236, 1);
    overflow-y: auto;
    flex-direction: column;
    justify-content: space-between;
    align-items: space-between;
    gap: 12px;
}

.mobile-menu-overlay.active {
    display: flex;

    @media (min-width: 550px) {
        display: none;
    }
}


.mobile-menu-overlay-content {
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 0 16px;
}

.mobile-menu-overlay-content-button {
    text-decoration: none;
    font-size: 24px;
    font-weight: 500;
    padding: 12px 8px;
    color: #FFFFFF;
    border-radius: 8px;
    align-items: center;
    justify-content: center;
}

.mobile-menu-overlay-bottom {
    display: flex;
    width: 100%;
    flex-direction: row;
    gap: 12px;
    justify-content: space-between;
    padding: 0 16px;

    @media (min-width: 550px) {
        max-width: 350px;
    }
}

.mobile-menu-overlay-bottom-icon {
    width: 50%;
    display: flex;
    border-radius: 8px;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}



.mobile-menu-overlay-top {
    display: flex;
    flex-direction: column;
    gap: 32px;
}


.footer-container {
    display: flex;
    position: absolute;
    bottom: calc(88px + 24px);
    width: calc(100% - 32px);
    border-top-width: 1px;
    border-top-style: solid;
    border-top-color: rgba(255, 255, 255, 0.2);
    justify-content: space-between;
    gap: 12px;
    padding: 0 16px;
}

.footer-container-button {
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    padding: 12px 8px;
    color: #FFFFFF;
    border-radius: 8px;
    align-items: center;
    justify-content: center;
}

.discover-gift-drop{
    max-width: 630px;
    width: 100%;
    padding: 0 16px;
    gap: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    
    @media (min-width: 1100px) {
        margin-bottom: 50px;
    }
}

.discover-gift-drop-title {
    font-size: 48px;
    font-weight: 600;
    color: rgba(41, 47, 54, 1);
    text-align: center;

    @media (max-width: 550px) {
        font-size: 32px;
    }
}

.discover-gift-drop-description {
    font-size: 18px;
    font-weight: 400;
    color: rgba(41, 47, 54, 1);
    text-align: center;
}

.discover-gift-drop-container{
    max-width: var(--max-width);
    flex-direction: column;
    display: flex;
    gap: 100px;
    width: 100%;
    padding: 0 16px;
}

.discover-gift-drop-container-item{
    display: flex;
    flex-direction: column-reverse;
    width: 100%;
    border-radius: 40px;
    padding: 40px 34px;
    justify-content: space-between;

    @media (min-width: 550px) {
        flex-direction: row;
        padding: 70px 50px 40px 50px;
    }
}

.discover-gift-drop-container-item-info {
    display: flex;
    flex-direction: column;
    gap: 32px;
    width: 45%;

    @media (max-width: 550px) {
        width: 100%;
        gap: 12px;
    }
}


.discover-gift-drop-container-item-info-image {
    width: 45%;
    margin-top: -15%;
    object-fit: cover;
    @media (max-width: 550px) {
        width: 100%;
        margin-top: -30%;
    }

}

.discover-gift-drop-container-item-title {
    font-size: 40px;
    font-weight: 600;
}

.discover-gift-drop-container-item-description {
    font-size: 18px;
    font-weight: 400;

    @media (min-width: 550px) {
        font-size: 24px;
    }
}

.discover-gift-drop-container-item.first {
    background-color: rgba(221, 234, 252, 1);
}

.discover-gift-drop-container-item-title.first {
    color:rgba(48, 101, 224, 1);

}
.discover-gift-drop-container-item-description.first {
    color:rgba(48, 101, 224, 1)
}
.discover-gift-drop-container-item.second {
    background-color: rgba(77, 136, 236, 1);
    @media (min-width: 550px) {
        flex-direction: row-reverse;
    }
}
.discover-gift-drop-container-item-title.second {
    color:rgba(255, 255, 255, 1)
}
.discover-gift-drop-container-item-description.second {
    color:rgba(255, 255, 255, 1)
}

.discover-gift-drop-container-item.third {
    background-color: rgba(48, 101, 224, 1);
}

.discover-gift-drop-container-item-title.third {
    color:rgba(255, 255, 255, 1)
}
.discover-gift-drop-container-item-description.third {
    color:rgba(255, 255, 255, 1)
}

.how-it-works{
    width: 100%;
    padding: 40px 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 12px;
    background-color: rgba(221, 234, 252, 1);

    @media (min-width: 550px) {
        padding: 70px;
    }
}

.how-it-works-content {
    width: 100%;
    max-width: var(--max-width);
    
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 12px;

    @media (min-width: 550px) {
        flex-direction: row;
        justify-content: space-between;
    }
}

.how-it-works-title {
    color: rgba(48, 101, 224, 1);
    font-size: 48px;
    font-weight: 600;

    @media (max-width: 550px) {
        font-size: 28px;
    }
  
}

.how-it-works-content-list {
    display: flex;
    flex-direction: column;
    gap: 24px;
    width: 50%;

    @media (max-width: 550px) {
        width: 100%;
    }
}

.how-it-works-content-item {
    width: 100%;
    padding: 32px;
    background-color: rgba(255, 255, 255, 1);
    border-width: 1px;
    border-style: solid;
    border-color: rgba(195, 218, 250, 1);
    border-radius: 24px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.how-it-works-content-item-step {
    font-size: 16px;
    font-weight: 500;
    color: #FFFFFF;
    background-color: rgba(77, 136, 236, 1);
    width: fit-content;
    padding: 4px 8px;
    border-radius: 40px;
}

.how-it-works-content-item-info {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.how-it-works-content-item-info-title {
    font-size: 24px;
    font-weight: 600;
    color: rgba(41, 47, 54, 1);
}

.how-it-works-content-item-info-description {
    font-size: 16px;
    font-weight: 500;
    color: rgba(41, 47, 54, 1);
}

.how-it-works-content-item-info-image {
    width: 100%;
    margin-bottom: -32px;
    height: auto;
    object-fit: cover;
}

.protected-money{
    width: 100%;
    padding: 40px 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 32px;

    @media (min-width: 550px) {
        padding: 40px;
    }

    @media (min-width: 1000px) {
        margin-bottom: 20px;
    }
}

.protected-money-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 12px;
    max-width: 630px;
}

.protected-money-info-title {
    font-size: 48px;
    font-weight: 600;
    color: rgba(41, 47, 54, 1);
    text-align: center;

    @media (max-width: 550px) {
        font-size: 28px;
    }
}

.protected-money-info-description {
    font-size: 18px;
    font-weight: 500;   
    color: rgba(41, 47, 54, 1);
    text-align: center;
}


.protected-money-list {
    display: flex;
    flex-direction: row;
    gap: 12px;
    width: 100%;
    max-width: var(--max-width);
    gap:24px;

    @media (max-width: 550px) {
        flex-direction: column;
    }
}
.protected-money-list-item {
    display: flex;
    flex:1;
    flex-direction: column;
    justify-content: center;
    padding: 24px;
    gap: 12px;
    border-radius: 40px;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.09), 2px 2px 7px 0 rgba(0, 0, 0, 0.05);
}
.protected-money-list-item-icon-container {
    width: 44px;
    aspect-ratio: 1;
    background-color: rgba(77, 136, 236, 1);
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.protected-money-list-item-icon {
    width: 20px;
    aspect-ratio: 1;
    object-fit: cover;
}
.protected-money-list-item-info {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.protected-money-list-item-info-title {
    font-size: 24px;
    font-weight: 600;
    color: rgba(77, 136, 236, 1);
}

.protected-money-list-item-info-description {
    font-size: 16px;
    color: rgba(41, 47, 54, 1);
}

.ready-to-join {
    width: 100%;
    padding: 0px 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.ready-to-join-content {
    background-color: rgba(48, 101, 224, 1);
    width: 100%;
    max-width: var(--max-width);
    padding: 40px;
    border-radius: 40px;
    margin-left: 16px;
    margin-right: 16px;
    display: flex;
    flex-direction: column;
    align-items: space-between;
    position: relative;

    @media (min-width: 550px) {
        flex-direction: row;
    }
}

.ready-to-join-info {
    display: flex;
    width: 45%;
    flex-direction: column;
    gap: 24px;
    @media (max-width: 550px) {
        width: 100%;
    }
}
.ready-to-join-info-container {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.ready-to-join-info-title {
    font-size: 24px;
    font-weight: 600;
    color: rgba(255, 255, 255, 1);
}

.ready-to-join-info-description {
    font-size: 16px;
    font-weight: 500;
    color: rgba(255, 255, 255, 1);
}

.ready-to-join-info-buttons {
    display: flex;
    flex-direction: row;
    gap: 12px;
    width: 100%;
    max-width: 350px;

    @media (max-width: 700px) {
        flex-direction: column;
    }

    @media (max-width: 550px) {
        max-width: 100%;
        flex-direction: row;
    }
}

.ready-to-join-info-button-icon {
    width: calc(50% - 6px);
    object-fit: cover;

    @media (max-width: 700px) {
       width: 60%;
    }

    @media (max-width: 550px) {
        width: calc(50% - 6px);
    }

}

.ready-to-join-image {
    position: absolute;
    right: 16px;
    bottom: 0px;
    object-fit: cover;
    width: 50%;
    max-width: 500px;

    @media (max-width: 550px) {
        width: 100%;
        position: relative;
        bottom: -40px;
        right: 0;
    }

}


.faq{
    width: 100%;
    padding: 40px 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 32px;
}

.faq-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 12px;
    max-width: 630px;
}

.faq-info-title {
    font-size: 48px;
    font-weight: 600;
    color: rgba(41, 47, 54, 1);
    text-align: center;

    @media (max-width: 550px) {
        font-size: 28px;
    }
}

.faq-info-description {
    font-size: 18px;
    font-weight: 500;   
    color: rgba(41, 47, 54, 1);
    text-align: center;
}

.faq-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    max-width: var(--max-width);
}

.faq-list-item {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    max-width: var(--max-width);
    border-radius: 24px;
    padding: 24px;
    background-color: rgba(255, 255, 255, 1);
    border-width: 1px;
}

.faq-list-item {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    max-width: var(--max-width);
    border-radius: 12px;
    padding: 24px;
    background-color: rgba(255, 255, 255, 1);
    border-width: 1px;
    border-style: solid;
    border-color: rgba(239, 239, 239, 1);
}

.faq-list-item.opened {
    background-color: rgba(250, 250, 250, 1)
}

.faq-list-item-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    gap: 12px;
}

.faq-list-item-question {
    font-size: 20px;
    font-weight: 500;
    color: rgba(41, 47, 54, 1);
}

.faq-answer {
    font-size: 16px;
    font-weight: 400;
    color: rgba(41, 47, 54, 1);
    display: none;
}

.faq-answer.opened {
    display: block;
}

.footer {
    width: 100%;
    padding: 24px 16px;
    border-radius: 40px 40px 0 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.09), 2px 2px 7px 0 rgba(0, 0, 0, 0.05);
}

.footer-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 12px;
    max-width: var(--max-width);
    width: 100%;
    gap: 24px;
}

.footer-header {
    width: 100%;
    max-width: 355px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 12px;
}

.footer-header-icon-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 6px;
}

.footer-header-icon {
    width: 42px;
    object-fit: cover;
}

.footer-header-title {
    font-size: 32px;
    font-weight: 600;
    color: rgba(77, 136, 236, 1);

}

.footer-header-description {
    font-size: 16px;
    font-weight: 600;
    color: rgba(77, 136, 236, 1)
}

.footer-header-mail {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 12px 16px;
    border-radius: 12px;
    background-color: rgba(240, 246, 254, 1);
    border-width: 1px;
    border-style: solid;
    border-color: rgba(77, 136, 236, 1)

}

.footer-header-mail-icon {
    width: 20px;
    aspect-ratio: 1;
    object-fit: cover;
}

.footer-header-mail-text {
    font-size: 14px;
    font-weight: 400;
    color: rgba(41, 47, 54, 1);
}

.footer-links {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 12px;
}

.footer-link-dot {
    width: 6px;
    aspect-ratio: 1;
    background-color: rgba(217, 224, 228, 1);
    border-radius: 50%;
}

.footer-link {
    text-decoration: none;
    font-size: 18px;
    font-weight: 500;
    padding: 8px 12px;
    color: rgba(41, 47, 54, 1);
}

.footer-divider {
    width: 100%;
    height: 1px;
    background-color: rgba(217, 224, 228, 1);
}

.footer-copyright {
    display: flex;
    width: 100%;
    flex-direction: row;
    align-items: space-between;
    justify-content: space-between;
    gap: 12px;
}

.footer-copyright-text {
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    padding: 8px 12px;
    color: rgba(137, 154, 168, 1);
}
